﻿@model CoinPaymentsIPNViewModel
@{
    ViewBag.Title = $"جزئیات IPN {Model.CId}";
}

<div class="row">
    <div class="col-md-12">
        <div class="card-box">
            <div class="table">
                <table class="table-responsive">
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Id)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.Id)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.CId)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.CId)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Address)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.Address)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Amount)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.Amount)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Amount1)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.Amount1)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Amount2)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.Amount2)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Amounti)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.Amounti)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.BuyerName)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.BuyerName)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Confirms)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.Confirms)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Currency)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.Currency)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Currency1)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.Currency1)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Currency2)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.Currency2)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Custom)
                        </th>
                        <td>
                            <a href="@Url.Action("DetailsByGuid", "ExchangeOrder", new { guid = Model.Custom })" target="_blank">
                                @Model.Custom
                            </a>
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Email)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.Email)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Fee)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.Feei)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.ReceivedAmount)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.ReceivedAmount)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.ReceivedConfirms)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.ReceivedConfirms)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.SendTx)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.SendTx)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.Status)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.Status)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.StatusText)
                        </th>
                        <td>
                            @Html.DisplayFor(m => m.StatusText)
                        </td>
                    </tr>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(m => m.TxnId)
                        </th>
                        <td>
                            <a href="#" onclick="ViewTransaction('@Model.TxnId'); return false;">
                                @Model.TxnId
                            </a>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        var viewTransactionUrl = "@Url.Action("ViewTransaction")";
        function ViewTransaction(TxnId) {
            var postData = { id: TxnId };
            doAjaxModal(postData, viewTransactionUrl);
        }
    </script>
}